Index: branches/new_class_id/src/world_entities/projectiles/rail_projectile.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/rail_projectile.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/rail_projectile.cc	(revision 9715)
@@ -29,5 +29,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(RailProjectile, CL_RAIL_PROJECTILE);
+ObjectListDefinitionID(RailProjectile, CL_RAIL_PROJECTILE);
 CREATE_FAST_FACTORY_STATIC(RailProjectile);
 
Index: branches/new_class_id/src/world_entities/projectiles/rail_projectile.h
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/rail_projectile.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/rail_projectile.h	(revision 9715)
@@ -17,5 +17,5 @@
 class RailProjectile : public Projectile
 {
-  NewObjectListDeclaration(RailProjectile);
+  ObjectListDeclaration(RailProjectile);
   public:
     RailProjectile ();
Index: branches/new_class_id/src/world_entities/projectiles/rocket.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/rocket.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/rocket.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Rocket, CL_ROCKET);
+ObjectListDefinitionID(Rocket, CL_ROCKET);
 CREATE_FAST_FACTORY_STATIC(Rocket);
 
Index: branches/new_class_id/src/world_entities/projectiles/rocket.h
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/rocket.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/rocket.h	(revision 9715)
@@ -15,5 +15,5 @@
 class Rocket : public Projectile
 {
-  NewObjectListDeclaration(Rocket);
+  ObjectListDeclaration(Rocket);
 
 public:
Index: branches/new_class_id/src/world_entities/projectiles/test_bullet.cc
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/test_bullet.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/test_bullet.cc	(revision 9715)
@@ -25,5 +25,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(TestBullet, CL_TEST_BULLET);
+ObjectListDefinitionID(TestBullet, CL_TEST_BULLET);
 CREATE_FAST_FACTORY_STATIC(TestBullet);
 
Index: branches/new_class_id/src/world_entities/projectiles/test_bullet.h
===================================================================
--- branches/new_class_id/src/world_entities/projectiles/test_bullet.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/projectiles/test_bullet.h	(revision 9715)
@@ -17,5 +17,5 @@
 class TestBullet : public Projectile
 {
-  NewObjectListDeclaration(TestBullet);
+  ObjectListDeclaration(TestBullet);
 
   public:
Index: branches/new_class_id/src/world_entities/recorder.cc
===================================================================
--- branches/new_class_id/src/world_entities/recorder.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/recorder.cc	(revision 9715)
@@ -23,5 +23,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Recorder, CL_RECORDER);
+ObjectListDefinitionID(Recorder, CL_RECORDER);
 CREATE_FACTORY(Recorder);
 
Index: branches/new_class_id/src/world_entities/recorder.h
===================================================================
--- branches/new_class_id/src/world_entities/recorder.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/recorder.h	(revision 9715)
@@ -20,5 +20,5 @@
 class Recorder : public WorldEntity
 {
-  NewObjectListDeclaration(Recorder);
+  ObjectListDeclaration(Recorder);
   public:
     Recorder (const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/satellite.cc
===================================================================
--- branches/new_class_id/src/world_entities/satellite.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/satellite.cc	(revision 9715)
@@ -25,5 +25,5 @@
 
 
-NewObjectListDefinition(Satellite);
+ObjectListDefinition(Satellite);
 
 /**
Index: branches/new_class_id/src/world_entities/satellite.h
===================================================================
--- branches/new_class_id/src/world_entities/satellite.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/satellite.h	(revision 9715)
@@ -19,5 +19,5 @@
 class Satellite : public WorldEntity
 {
-  NewObjectListDeclaration(Satellite);
+  ObjectListDeclaration(Satellite);
 
  public:
Index: branches/new_class_id/src/world_entities/script_trigger.cc
===================================================================
--- branches/new_class_id/src/world_entities/script_trigger.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/script_trigger.cc	(revision 9715)
@@ -20,5 +20,5 @@
 #include "state.h"
 
-NewObjectListDefinition(ScriptTrigger);
+ObjectListDefinition(ScriptTrigger);
 
 CREATE_SCRIPTABLE_CLASS(ScriptTrigger, ScriptTrigger::classID(),
Index: branches/new_class_id/src/world_entities/script_trigger.h
===================================================================
--- branches/new_class_id/src/world_entities/script_trigger.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/script_trigger.h	(revision 9715)
@@ -18,5 +18,5 @@
 class ScriptTrigger : public WorldEntity
 {
-  NewObjectListDeclaration(ScriptTrigger);
+  ObjectListDeclaration(ScriptTrigger);
   public:
     ScriptTrigger(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/skybox.cc
===================================================================
--- branches/new_class_id/src/world_entities/skybox.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/skybox.cc	(revision 9715)
@@ -32,5 +32,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(SkyBox, CL_SKYBOX);
+ObjectListDefinitionID(SkyBox, CL_SKYBOX);
 CREATE_FACTORY(SkyBox);
 
Index: branches/new_class_id/src/world_entities/skybox.h
===================================================================
--- branches/new_class_id/src/world_entities/skybox.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/skybox.h	(revision 9715)
@@ -27,5 +27,5 @@
 class SkyBox : public WorldEntity
 {
-  NewObjectListDeclaration(SkyBox);
+  ObjectListDeclaration(SkyBox);
 public:
   SkyBox(const std::string& fileName = "");
Index: branches/new_class_id/src/world_entities/skydome.cc
===================================================================
--- branches/new_class_id/src/world_entities/skydome.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/skydome.cc	(revision 9715)
@@ -30,5 +30,5 @@
 
 
-NewObjectListDefinition(Skydome);
+ObjectListDefinition(Skydome);
 
 /**
Index: branches/new_class_id/src/world_entities/skydome.h
===================================================================
--- branches/new_class_id/src/world_entities/skydome.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/skydome.h	(revision 9715)
@@ -21,5 +21,5 @@
 class Skydome : public WorldEntity
 {
-  NewObjectListDeclaration(Skydome);
+  ObjectListDeclaration(Skydome);
 public:
   Skydome();
Index: branches/new_class_id/src/world_entities/skysphere.cc
===================================================================
--- branches/new_class_id/src/world_entities/skysphere.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/skysphere.cc	(revision 9715)
@@ -32,5 +32,5 @@
 
 
-NewObjectListDefinition(Skysphere);
+ObjectListDefinition(Skysphere);
 
 /**
Index: branches/new_class_id/src/world_entities/skysphere.h
===================================================================
--- branches/new_class_id/src/world_entities/skysphere.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/skysphere.h	(revision 9715)
@@ -24,5 +24,5 @@
 class Skysphere : public WorldEntity
 {
-  NewObjectListDeclaration(Skysphere);
+  ObjectListDeclaration(Skysphere);
 
  public:
Index: branches/new_class_id/src/world_entities/space_ships/collision_probe.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/collision_probe.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/collision_probe.cc	(revision 9715)
@@ -25,5 +25,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(CollisionProbe, CL_COLLISION_PROBE);
+ObjectListDefinitionID(CollisionProbe, CL_COLLISION_PROBE);
 
 CREATE_FACTORY(CollisionProbe);
Index: branches/new_class_id/src/world_entities/space_ships/collision_probe.h
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/collision_probe.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/collision_probe.h	(revision 9715)
@@ -13,5 +13,5 @@
 class CollisionProbe : public Playable
 {
-  NewObjectListDeclaration(CollisionProbe);
+  ObjectListDeclaration(CollisionProbe);
 
   public:
Index: branches/new_class_id/src/world_entities/space_ships/cruizer.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/cruizer.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/cruizer.cc	(revision 9715)
@@ -35,5 +35,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Cruizer, CL_CRUIZER);
+ObjectListDefinitionID(Cruizer, CL_CRUIZER);
 CREATE_FACTORY(Cruizer);
 
Index: branches/new_class_id/src/world_entities/space_ships/cruizer.h
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/cruizer.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/cruizer.h	(revision 9715)
@@ -16,5 +16,5 @@
 class Cruizer : public Playable
 {
-  NewObjectListDeclaration(Cruizer);
+  ObjectListDeclaration(Cruizer);
   public:
     Cruizer(const std::string& fileName);
Index: branches/new_class_id/src/world_entities/space_ships/helicopter.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/helicopter.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/helicopter.cc	(revision 9715)
@@ -35,5 +35,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Helicopter, CL_HELICOPTER);
+ObjectListDefinitionID(Helicopter, CL_HELICOPTER);
 CREATE_FACTORY(Helicopter);
 #include "script_class.h"
Index: branches/new_class_id/src/world_entities/space_ships/helicopter.h
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/helicopter.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/helicopter.h	(revision 9715)
@@ -17,5 +17,5 @@
 class Helicopter : public Playable
 {
-  NewObjectListDeclaration(Helicopter);
+  ObjectListDeclaration(Helicopter);
 
   public:
Index: branches/new_class_id/src/world_entities/space_ships/hover.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/hover.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/hover.cc	(revision 9715)
@@ -35,5 +35,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Hover, CL_HOVER);
+ObjectListDefinitionID(Hover, CL_HOVER);
 CREATE_FACTORY(Hover);
 
Index: branches/new_class_id/src/world_entities/space_ships/hover.h
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/hover.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/hover.h	(revision 9715)
@@ -15,5 +15,5 @@
 class Hover : public Playable
 {
-  NewObjectListDeclaration(Hover);
+  ObjectListDeclaration(Hover);
   public:
 
Index: branches/new_class_id/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/space_ship.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/space_ship.cc	(revision 9715)
@@ -54,5 +54,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(SpaceShip, CL_SPACE_SHIP);
+ObjectListDefinitionID(SpaceShip, CL_SPACE_SHIP);
 CREATE_FACTORY(SpaceShip);
 
Index: branches/new_class_id/src/world_entities/space_ships/space_ship.h
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/space_ship.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/space_ship.h	(revision 9715)
@@ -19,5 +19,5 @@
 class SpaceShip : public Playable
 {
-  NewObjectListDeclaration(SpaceShip);
+  ObjectListDeclaration(SpaceShip);
 
   public:
Index: branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9715)
@@ -39,5 +39,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Spacecraft2D, CL_SPACECRAFT_2D);
+ObjectListDefinitionID(Spacecraft2D, CL_SPACECRAFT_2D);
 CREATE_FACTORY(Spacecraft2D);
 
Index: branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.h
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/spacecraft_2d.h	(revision 9715)
@@ -16,5 +16,5 @@
 class Spacecraft2D : public Playable
 {
-  NewObjectListDeclaration(Spacecraft2D);
+  ObjectListDeclaration(Spacecraft2D);
   public:
     Spacecraft2D(const std::string& fileName);
Index: branches/new_class_id/src/world_entities/space_ships/turbine_hover.cc
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/turbine_hover.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/turbine_hover.cc	(revision 9715)
@@ -35,5 +35,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(TurbineHover, CL_TURBINE_HOVER);
+ObjectListDefinitionID(TurbineHover, CL_TURBINE_HOVER);
 CREATE_FACTORY(TurbineHover);
 
Index: branches/new_class_id/src/world_entities/space_ships/turbine_hover.h
===================================================================
--- branches/new_class_id/src/world_entities/space_ships/turbine_hover.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/space_ships/turbine_hover.h	(revision 9715)
@@ -18,5 +18,5 @@
 class TurbineHover : public Playable
 {
-  NewObjectListDeclaration(TurbineHover);
+  ObjectListDeclaration(TurbineHover);
 public:
   TurbineHover(const std::string& fileName);
Index: branches/new_class_id/src/world_entities/spawning_point.cc
===================================================================
--- branches/new_class_id/src/world_entities/spawning_point.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/spawning_point.cc	(revision 9715)
@@ -34,5 +34,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(SpawningPoint, CL_SPAWNING_POINT);
+ObjectListDefinitionID(SpawningPoint, CL_SPAWNING_POINT);
 CREATE_FACTORY( SpawningPoint);
 /**
@@ -109,5 +109,5 @@
   bool found = false;
 
-  for (NewObjectList<Playable>::const_iterator it = Playable::objectList().begin();
+  for (ObjectList<Playable>::const_iterator it = Playable::objectList().begin();
        it != Playable::objectList().end();
        ++it)
@@ -160,5 +160,5 @@
       bool found = false;
 
-      for (NewObjectList<Playable>::const_iterator it2 = Playable::objectList().begin();
+      for (ObjectList<Playable>::const_iterator it2 = Playable::objectList().begin();
            it2 != Playable::objectList().end();
            ++it2)
@@ -235,5 +235,5 @@
   Playable      * playable = NULL;
 
-  for (NewObjectList<SpawningPoint>::const_iterator it = SpawningPoint::objectList().begin();
+  for (ObjectList<SpawningPoint>::const_iterator it = SpawningPoint::objectList().begin();
        it != SpawningPoint::objectList().end();
        ++it)
@@ -253,5 +253,5 @@
   }
 
-  for (NewObjectList<Playable>::const_iterator it = Playable::objectList().begin();
+  for (ObjectList<Playable>::const_iterator it = Playable::objectList().begin();
        it != Playable::objectList().end();
        ++it)
Index: branches/new_class_id/src/world_entities/spawning_point.h
===================================================================
--- branches/new_class_id/src/world_entities/spawning_point.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/spawning_point.h	(revision 9715)
@@ -42,5 +42,5 @@
  */
 class SpawningPoint : public WorldEntity {
-  NewObjectListDeclaration(SpawningPoint);
+  ObjectListDeclaration(SpawningPoint);
   public:
     SpawningPoint(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/spectator.cc
===================================================================
--- branches/new_class_id/src/world_entities/spectator.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/spectator.cc	(revision 9715)
@@ -23,5 +23,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Spectator, CL_SPECTATOR);
+ObjectListDefinitionID(Spectator, CL_SPECTATOR);
 CREATE_FACTORY(Spectator);
 
Index: branches/new_class_id/src/world_entities/spectator.h
===================================================================
--- branches/new_class_id/src/world_entities/spectator.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/spectator.h	(revision 9715)
@@ -11,5 +11,5 @@
 class Spectator : public Playable
 {
-  NewObjectListDeclaration(Spectator);
+  ObjectListDeclaration(Spectator);
 
   public:
Index: branches/new_class_id/src/world_entities/terrain.cc
===================================================================
--- branches/new_class_id/src/world_entities/terrain.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/terrain.cc	(revision 9715)
@@ -35,5 +35,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Terrain, CL_TERRAIN);
+ObjectListDefinitionID(Terrain, CL_TERRAIN);
 CREATE_FACTORY(Terrain);
 
Index: branches/new_class_id/src/world_entities/terrain.h
===================================================================
--- branches/new_class_id/src/world_entities/terrain.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/terrain.h	(revision 9715)
@@ -25,5 +25,5 @@
 class Terrain : public WorldEntity
 {
-  NewObjectListDeclaration(Terrain);
+  ObjectListDeclaration(Terrain);
 
  public:
Index: branches/new_class_id/src/world_entities/test_entity.cc
===================================================================
--- branches/new_class_id/src/world_entities/test_entity.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/test_entity.cc	(revision 9715)
@@ -36,5 +36,5 @@
 
 #include "class_id.h"
-NewObjectListDefinition(TestEntity);
+ObjectListDefinition(TestEntity);
 CREATE_FACTORY(TestEntity);
 
Index: branches/new_class_id/src/world_entities/test_entity.h
===================================================================
--- branches/new_class_id/src/world_entities/test_entity.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/test_entity.h	(revision 9715)
@@ -15,5 +15,5 @@
 class TestEntity : public WorldEntity, public PhysicsInterface
 {
-  NewObjectListDeclaration(TestEntity);
+  ObjectListDeclaration(TestEntity);
  public:
   TestEntity ();
Index: branches/new_class_id/src/world_entities/weapons/aim.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aim.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/aim.cc	(revision 9715)
@@ -29,5 +29,5 @@
 
 
-NewObjectListDefinition(Aim);
+ObjectListDefinition(Aim);
 
 /**
Index: branches/new_class_id/src/world_entities/weapons/aim.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aim.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/aim.h	(revision 9715)
@@ -29,5 +29,5 @@
 class Aim : public PNode, public Element2D
 {
-  NewObjectListDeclaration(Aim);
+  ObjectListDeclaration(Aim);
 
 public:
Index: branches/new_class_id/src/world_entities/weapons/aiming_system.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aiming_system.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/aiming_system.cc	(revision 9715)
@@ -30,5 +30,5 @@
 
 
-NewObjectListDefinition(AimingSystem);
+ObjectListDefinition(AimingSystem);
 
 /**
Index: branches/new_class_id/src/world_entities/weapons/aiming_system.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aiming_system.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/aiming_system.h	(revision 9715)
@@ -21,5 +21,5 @@
 class AimingSystem : public WorldEntity
 {
-  NewObjectListDeclaration(AimingSystem);
+  ObjectListDeclaration(AimingSystem);
 
  public:
Index: branches/new_class_id/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aiming_turret.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/aiming_turret.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(AimingTurret, CL_AIMING_TURRET);
+ObjectListDefinitionID(AimingTurret, CL_AIMING_TURRET);
 CREATE_FACTORY(AimingTurret);
 
Index: branches/new_class_id/src/world_entities/weapons/aiming_turret.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/aiming_turret.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/aiming_turret.h	(revision 9715)
@@ -13,5 +13,5 @@
 class AimingTurret : public Weapon
 {
-  NewObjectListDeclaration(AimingTurret);
+  ObjectListDeclaration(AimingTurret);
 
 public:
Index: branches/new_class_id/src/world_entities/weapons/ammo_container.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/ammo_container.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/ammo_container.cc	(revision 9715)
@@ -23,10 +23,10 @@
 
 
-NewObjectListDefinition(AmmoContainer);
+ObjectListDefinition(AmmoContainer);
 /**
  * standard constructor
  * @todo this constructor is not jet implemented - do it
 */
-AmmoContainer::AmmoContainer (const NewClassID& projectileType, float maxEnergy)
+AmmoContainer::AmmoContainer (const ClassID& projectileType, float maxEnergy)
 {
   this->registerObject(this, AmmoContainer::_objectList);
Index: branches/new_class_id/src/world_entities/weapons/ammo_container.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/ammo_container.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/ammo_container.h	(revision 9715)
@@ -17,12 +17,12 @@
 //! A class for Storing energy of Projectiles.
 class AmmoContainer : public BaseObject {
-  NewObjectListDeclaration(AmmoContainer);
+  ObjectListDeclaration(AmmoContainer);
 
  public:
-  AmmoContainer(const NewClassID& id, float maxEnergy = DEFAULT_MAX_ENERGY);
+  AmmoContainer(const ClassID& id, float maxEnergy = DEFAULT_MAX_ENERGY);
   virtual ~AmmoContainer();
 
   bool operator=(int projectileType) const { return (this->projectileType == projectileType); };
-  NewClassID getProjectileType() const { return this->projectileType; };
+  ClassID getProjectileType() const { return this->projectileType; };
 
   float increaseEnergy(float energy);
@@ -42,5 +42,5 @@
    float  maxEnergy;
 
-   NewClassID projectileType;
+   ClassID projectileType;
 };
 
Index: branches/new_class_id/src/world_entities/weapons/boomerang_gun.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/boomerang_gun.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/boomerang_gun.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(BoomerangGun, CL_BOOMERANG_GUN);
+ObjectListDefinitionID(BoomerangGun, CL_BOOMERANG_GUN);
 CREATE_FACTORY(BoomerangGun);
 
Index: branches/new_class_id/src/world_entities/weapons/boomerang_gun.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/boomerang_gun.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/boomerang_gun.h	(revision 9715)
@@ -11,5 +11,5 @@
 class BoomerangGun : public Weapon
   {
-    NewObjectListDeclaration(BoomerangGun);
+    ObjectListDeclaration(BoomerangGun);
   public:
     BoomerangGun ();
Index: branches/new_class_id/src/world_entities/weapons/cannon.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/cannon.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/cannon.cc	(revision 9715)
@@ -37,5 +37,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Cannon, CL_CANNON);
+ObjectListDefinitionID(Cannon, CL_CANNON);
 CREATE_FACTORY(Cannon);
 
Index: branches/new_class_id/src/world_entities/weapons/cannon.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/cannon.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/cannon.h	(revision 9715)
@@ -12,5 +12,5 @@
 class Cannon : public Weapon
   {
-    NewObjectListDeclaration(Cannon);
+    ObjectListDeclaration(Cannon);
   public:
     Cannon ();
Index: branches/new_class_id/src/world_entities/weapons/crosshair.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/crosshair.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/crosshair.cc	(revision 9715)
@@ -26,5 +26,5 @@
 
 
-NewObjectListDefinition(Crosshair);
+ObjectListDefinition(Crosshair);
 /**
  * standart constructor
Index: branches/new_class_id/src/world_entities/weapons/crosshair.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/crosshair.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/crosshair.h	(revision 9715)
@@ -22,5 +22,5 @@
 //! A class that enables the
 class Crosshair : public PNode, public Element2D, public EventListener {
-  NewObjectListDeclaration(Crosshair);
+  ObjectListDeclaration(Crosshair);
  public:
   Crosshair(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9715)
@@ -40,5 +40,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(FPSSniperRifle, CL_FPS_SNIPER_RIFLE);
+ObjectListDefinitionID(FPSSniperRifle, CL_FPS_SNIPER_RIFLE);
 CREATE_FACTORY(FPSSniperRifle);
 
Index: branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/fps_sniper_rifle.h	(revision 9715)
@@ -39,5 +39,5 @@
 class FPSSniperRifle : public Weapon
   {
-    NewObjectListDeclaration(FPSSniperRifle);
+    ObjectListDeclaration(FPSSniperRifle);
 
   public:
Index: branches/new_class_id/src/world_entities/weapons/hyperblaster.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/hyperblaster.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/hyperblaster.cc	(revision 9715)
@@ -36,5 +36,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Hyperblaster, CL_HYPERBLASTER);
+ObjectListDefinitionID(Hyperblaster, CL_HYPERBLASTER);
 CREATE_FACTORY(Hyperblaster);
 
Index: branches/new_class_id/src/world_entities/weapons/hyperblaster.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/hyperblaster.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/hyperblaster.h	(revision 9715)
@@ -12,5 +12,5 @@
 class Hyperblaster : public Weapon
   {
-    NewObjectListDeclaration(Hyperblaster);
+    ObjectListDeclaration(Hyperblaster);
     public:
     Hyperblaster (const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/weapons/laser_cannon.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/laser_cannon.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/laser_cannon.cc	(revision 9715)
@@ -32,5 +32,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(LaserCannon, CL_LASER_CANNON);
+ObjectListDefinitionID(LaserCannon, CL_LASER_CANNON);
 CREATE_FACTORY(LaserCannon);
 
Index: branches/new_class_id/src/world_entities/weapons/laser_cannon.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/laser_cannon.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/laser_cannon.h	(revision 9715)
@@ -29,5 +29,5 @@
 class LaserCannon : public Weapon
   {
-    NewObjectListDeclaration(LaserCannon);
+    ObjectListDeclaration(LaserCannon);
     public:
     LaserCannon (const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/targeting_turret.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/targeting_turret.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(TargetingTurret, CL_TARGETING_TURRET);
+ObjectListDefinitionID(TargetingTurret, CL_TARGETING_TURRET);
 CREATE_FACTORY(TargetingTurret);
 
Index: branches/new_class_id/src/world_entities/weapons/targeting_turret.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/targeting_turret.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/targeting_turret.h	(revision 9715)
@@ -12,5 +12,5 @@
 class TargetingTurret : public Weapon
 {
-  NewObjectListDeclaration(TargetingTurret);
+  ObjectListDeclaration(TargetingTurret);
 public:
   TargetingTurret(const TiXmlElement* root = NULL);
Index: branches/new_class_id/src/world_entities/weapons/test_gun.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/test_gun.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/test_gun.cc	(revision 9715)
@@ -34,5 +34,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(TestGun, CL_TEST_GUN);
+ObjectListDefinitionID(TestGun, CL_TEST_GUN);
 CREATE_FACTORY(TestGun);
 /**
